org.eclipse.emf.facet.custom.core.exception

## Class CustomizationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.facet.custom.core.exception.CustomizationException

All Implemented Interfaces:
  java.io.Serializable

    public final class CustomizationException
    extends java.lang.Exception

This exception is thrown when the computation of a customization property value failed.

Author:
  Gregoire Dupe
See Also:
  Serialized Form
Noinstantiate:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`CustomizationException()`
`CustomizationException(java.lang.String message)`
`CustomizationException(java.lang.String message, java.lang.Throwable cause)`
`CustomizationException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CustomizationException

    public CustomizationException()

#### CustomizationException

    public CustomizationException(java.lang.String message)

#### CustomizationException

    public CustomizationException(java.lang.Throwable cause)

#### CustomizationException

    public CustomizationException(java.lang.String message,
                                  java.lang.Throwable cause)